#!/bin/bash

# convert to html ==============================================================
asciidoctor site/*adoc

# manual modifications to html created by asciidoctor ==========================
# english site -------------------------
#   window title
sed -i -e 's/<title>Objectives<\/title>/<title>MeThAL Project<\/title>/' site/en.html
#   add home link to top entry in ToC
sed -i -e 's/"toctitle">Navigation<\/div>/"toctitle"><a href="https:\/\/methal.pages.unistra.fr\/en.html">Navigation<\/a><\/div>/' site/en.html
#   make it clear where corpus is
sed -i -e 's/"#_outputs">Outputs<\/a>/"#_outputs">Corpus \&amp; Outputs<\/a>/' site/en.html
# french site --------------------------
sed -i -e 's/<title>Objectifs<\/title>/<title>MeThAL<\/title>/' site/index.html
#   add home link to top entry in ToC
sed -i -e 's/"toctitle">Navigation<\/div>/"toctitle"><a href="https:\/\/methal.pages.unistra.fr">Navigation<\/a><\/div>/' site/index.html

# copy to public repo ==========================================================
cp -r site/*html public
cp -r site/{img,styles,docs} public/.
